Utility Functions {pbdZMQ} | R Documentation

## Utility Functions

### Description

Utility functions

### Usage

    zmq.strerror(errno)

    zmq.version()

### Arguments

`errno` | an integer for the error number

### Details

`zmq.strerror()` gets ZeroMQ error message string.

`zmq.version()` print current ZeroMQ version.

### Value

`zmq.strerror()` returns an R string containing ZeroMQ error message.

### Author(s)

Wei-Chen Chen wccsnow@gmail.com.

### References

ZeroMQ/4.1.0 API Reference: http://api.zeromq.org/4-1:_start

Programming with Big Data in R Website: http://r-pbd.org/

### See Also

`zmq.ctx.new()`, `zmq.ctx.destroy()`, `zmq.socket()`, `zmq.close()`.

### Examples

    ## Not run:
    library(pbdZMQ, quietly = TRUE)

    context <- zmq.ctx.new()
    zmq.ctx.destroy(context)
    zmq.strerror(0)

    zmq.ctx.destroy(context) # Error since context is free.
    zmq.strerror(14)

    ## End(Not run)

[Package pbdZMQ version 0.2-4 Index]